<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'luzuk_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'luzuk-premium' ),
        // 'panel' => 'luzuk_premium_home_panel'
		'priority' =>20
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpage', 'luzuk_premium_contactus_section', 'Left Side Box');

lzCustomLable($wp_customize, 'luzuk_sec_contctdetailsclr', 'luzuk_premium_contactus_section', 'Contact Details Settings ');

$wp_customize->add_setting(
	'contheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Get In Touch', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contheading',
	array(
		'settings'      => 'contheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Details Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'contsubheading',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'For More Info', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'contsubheading',
	array(
		'settings'      => 'contsubheading',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Contact Details Sub Heading', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '+111 222 1111', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_phone',
	array(
		'settings'      => 'luzuk_contactus_phone',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_email',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'info@abcmail.com', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_email',
	array(
		'settings'      => 'luzuk_contactus_email',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Email ID One', 'luzuk Premium' )
	)
);


$wp_customize->add_setting(
	'luzuk_contactus_address',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '2847 N Henderson Ave United States', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_address',
	array(
		'settings'      => 'luzuk_contactus_address',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Address', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_leftpageclr', 'luzuk_premium_contactus_section', 'Left Side Box Color ');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftcurveshapbgClr', 'luzuk_premium_contactus_section', 'Left Curve Shape BG Color', '#F9CDA0');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxheadingClr', 'luzuk_premium_contactus_section', 'Heading Color', '#332102');

addColorPalatOption($wp_customize, 'luzuk_contactus_lftbxsubheadingClr', 'luzuk_premium_contactus_section', 'Sub Heading Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_leftbxbgClr', 'luzuk_premium_contactus_section', 'Box BG Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_bximgrdClr', 'luzuk_premium_contactus_section', 'Box Image Border Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'luzuk_contactus_detailstbrdClr', 'luzuk_premium_contactus_section', 'Box Border Color', '#F5DBC1');

addColorPalatOption($wp_customize, 'luzuk_contactus_detail1stbgClr', 'luzuk_premium_contactus_section', 'Icon BG Color', '#F5DBC1');

addColorPalatOption($wp_customize, 'luzuk_contactus_dicnClr', 'luzuk_premium_contactus_section', 'Box Icon Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemClr', 'luzuk_premium_contactus_section', 'Box  Phone No. , Email, Address Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'luzuk_contactus_dphemhvClr', 'luzuk_premium_contactus_section', 'Box Email , Phone No. Hover Color', 'D88E2D');

lzCustomLable($wp_customize, 'luzuk_sec_rightpage', 'luzuk_premium_contactus_section', 'Right Side Box ');

backgroundManager($wp_customize, 'contct_formbg1', 'luzuk_premium_contactus_section', $color='#f9cda0', get_template_directory_uri().'/images/app-bg.jpg', 'color');

$wp_customize->add_setting(
        'contactus_form_heading2',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contactus_form_heading2',
        array(
            'settings'      => 'contactus_form_heading2',
            'section'       => 'luzuk_premium_contactus_section',
            'label'         => __( 'Form Setting ', 'luzuk-premium' ),
        )
    )
);


$wp_customize->add_setting(
	'luzuk_contactus_shortcode_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Contact Us', 'luzuk Premium' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode_lbl',
	array(
		'settings'      => 'luzuk_contactus_shortcode_lbl',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Form Title', 'luzuk Premium' )
	)
);

$wp_customize->add_setting(
	'luzuk_contactus_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '[your Shortcode]' )
	)
);
$wp_customize->add_control(
	'luzuk_contactus_shortcode',
	array(
		'settings'      => 'luzuk_contactus_shortcode',
		'section'       => 'luzuk_premium_contactus_section',
		'type'          => 'textarea',
		'label'         => __( 'Form Shortcode Here', 'luzuk Premium' )
	)
);

lzCustomLable($wp_customize, 'luzuk_sec_rightpageClr', 'luzuk_premium_contactus_section', 'Right Side Box Color');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitleColor', 'luzuk_premium_contactus_section', 'Form Heading Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtitlebgColor', 'luzuk_premium_contactus_section', 'Form Heading BG Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_formlabelColor', 'luzuk_premium_contactus_section', 'Form Label Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_contactus_formtextplaceColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholder Color', '#8B8A87');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbgClr', 'luzuk_premium_contactus_section', 'Form Text & Placeholder BG Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'luzuk_contactus_formborderbottomColor', 'luzuk_premium_contactus_section', 'Form Text & Placeholde Border Color', '#543602');


addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnColor', 'luzuk_premium_contactus_section', 'Form Button Text Color', '#F6E8DA');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnhoverColor', 'luzuk_premium_contactus_section', 'Form Button Text Hover Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbgColor', 'luzuk_premium_contactus_section', 'Form Button BG Color', '#543602');

addColorPalatOption($wp_customize, 'luzuk_contactus_formbtnbghoverColor', 'luzuk_premium_contactus_section', 'Form Button BG Hover Color', '#D88E2D');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_contactus_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Customize_Heading($wp_customize, 'luzuk_contactus_iframe_lbl',
		array(
			'settings'      => 'luzuk_contactus_iframe_lbl',
			'section'       => 'luzuk_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'luzuk-premium' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('luzuk_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add Your Map Embade Code'));
$wp_customize->add_control('luzuk_contactus_embade', array('settings'=>'luzuk_contactus_embade', 'section'=>'luzuk_premium_contactus_section','type'=>'textarea', 'label'=> __('Code For Map', 'luzuk-premium')));

